Subject: Re: bug#77415: Native Messaging in librewolf doesn't work

From: Clément Lassieur <[email-masked]>
Date: Mon, 07 Apr 2025 17:12:12 +0200

On Mon, Apr 07 2025, Rutherther via Bug reports for GNU Guix wrote:

> I think you've discovered the actual bug. The issue is that
> .librewolf/native-messaging-hosts is not checked, instead
> ICECAT_SYSTEM_DIR is, with no fallback even if it's empty. When I set
> ICECAT_SYSTEM_DIR to $HOME/.librewolf all is working fine again.

I don't think so, because on my computer,

$HOME/.librewolf/native-messaging-hosts/passff.json

works (without changing ICECAT_SYSTEM_DIR)

and if I remove that file it doesn't work anymore.

So just to make it clear: I can't reproduce the bug.

Cheers,
Clément